Bug 1128503 - archpath can't be executed.
Summary: archpath can't be executed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: devscripts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 23:54 UTC by Christopher Meng
Modified: 2014-08-23 01:58 UTC (History)
1 user (show)

Fixed In Version: devscripts-2.14.6-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-23 01:58:33 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-08-10 23:54:42 UTC
Description of problem:

This program is unusable.

Version-Release number of selected component (if applicable):

2.14.6-1.fc22

How reproducible:

100%

Steps to Reproduce:
1. Open terminal.
2. Type "archpath".
3. See the results.

Actual results:

$ archpath 
/usr/bin/archpath: line 30: tla: command not found

Expected results:

Unknown.

Additional info:

tla(gnu-arch?) not packaged.

Comment 1 Sandro Mani 2014-08-11 07:43:34 UTC
So script looks for either baz (-> bazaar 1.x) or tla (gnu-arch). Both are pretty obsolete - they were both once packaged for Fedora but now retired.

It would be interesting to know what use-case you have for archpath, or what the scenario is where you encounter the issue.

Options are:
- revive one of the dead packages
- just remove archpath from devscripts

Comment 2 Christopher Meng 2014-08-11 08:19:42 UTC
Remove it! We are bleeding XD.

Just a joke for above. Actually I don't find devscripts is useful to me, today I just saw this package' update in Bodhi and then created this bug...

Scheme #1 is weary. So just choose #2.

Comment 3 Fedora Update System 2014-08-11 08:37:06 UTC
devscripts-2.14.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/devscripts-2.14.6-2.fc20

Comment 4 Fedora Update System 2014-08-15 02:35:25 UTC
Package devscripts-2.14.6-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing devscripts-2.14.6-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9335/devscripts-2.14.6-2.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-08-23 01:58:33 UTC
devscripts-2.14.6-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.